# imageinterlace

(PHP 4, PHP 5, PHP 7)

imageinterlace — Enable or disable interlace

### Description

imageinterlace ( resource `$image` [, int `$interlace` = 0 ] ) : int

imageinterlace() turns the interlace bit on or off.

If the interlace bit is set and the image is used as a JPEG image, the image is created as a progressive JPEG.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`interlace`

  If non-zero, the image will be interlaced, else the interlace bit is turned off.

### Return Values

Returns 1 if the interlace bit is set for the image, 0 otherwise.

### Examples

Example #1 Turn on interlacing using imageinterlace()

`<?php
// Create an image instance
$im = imagecreatefromgif('php.gif');
// Enable interlancing
imageinterlace($im, true);
// Save the interlaced image
imagegif($im, './php_interlaced.gif');
imagedestroy($im);
?>`